Unit tzp38r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP38R_p;

function tzp38r: String;

implementation

function tzp38r: String;
var
NP,M,L,_i,K :Integer;
C :Array [0..4] of Real;
const
A :Array [0..2] of Real = ( 2.0,-3.0,1.0 );
B :Array [0..2] of Real = ( 12.0,-7.0,1.0 );
begin
Result := '';  {   }
NP := 2;
M := 4;
L := 2;
ZP38R(NP,A,L,B,M,C,K);
Result := Result + Format('%10d %10d %10d %10d ',[NP,L,M,K]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[C[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp38r',Result);  {     tzp38r.res }
exit;
end;

end.
